//
//  LSPDHelpWindowController.h
//  PluginDesigner
//
//  Created by Philippe H. Regenass on 20.04.07.
//  Copyright 2007 TREEINSPIRED.ch. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>

/*!
    @header			LSPDHelpWindowController
    @abstract		LSPDHelpWindowController : NSWindowController\n
	@discussion		Window Controller für das Hilfe Fenster
*/

@interface LSPDHelpWindowController : NSWindowController
{
	@public
	IBOutlet		WebView		*helpWebView;
}


/*!
    @abstract		+ (LSPDHelpWindowController *)helpWindowController
    @discussion		Inizialisierter LSPDHelpWindowController Window Controller.
	@result			+ (LSPDHelpWindowController *) LSPDHelpWindowController-Objekt
*/
+ (LSPDHelpWindowController *)helpWindowController;


/*!
    @abstract		- (IBAction)goToHome: (id)sender
    @discussion		Ruft im WebView die Startseite der Hilfedatei auf.
	@param			(id)sender Objekt, welches die Methode aufruft
	\todo			Sobald die Hilfe implementiert ist den Kommentar des Code entfernen	
*/
- (IBAction)goToHome: (id)sender;

@end

